<div class="postbox wpzinc-vertical-tabbed-ui">
    <!-- Second level tabs -->
    <ul class="wpzinc-nav-tabs wpzinc-js-tabs" data-panels-container="#settings-container" data-panel=".panel" data-active="wpzinc-nav-tab-vertical-active">
        <?php
        // Iterate through this screen's tabs
        foreach ( (array) $tabs as $tab_item ) {
            ?>
            <li class="wpzinc-nav-tab <?php echo ( isset( $tab_item['menu_icon'] ) ? $tab_item['menu_icon'] : 'default' ); ?>">
                <a href="#<?php echo $tab_item['name']; ?>"<?php echo ( $tab_item['name'] == $tab['name'] ? ' class="wpzinc-nav-tab-vertical-active"' : '' ) . ( isset( $tab_item['documentation'] ) ? ' data-documentation="' . $tab_item['documentation'] . '"' : '' ); ?>>
                    <?php
                    echo $tab_item['label'];
                    ?>
                </a>
            </li>
            <?php
        }
        ?>
    </ul>

    <!-- Content -->
    <div id="settings-container" class="wpzinc-nav-tabs-content no-padding">
        <!-- Import -->
        <div id="import" class="panel">
            <div class="postbox">
                <header>
                    <h3><?php _e( 'Import', 'media-library-organizer' ); ?></h3>
                    <p class="description">
                        <?php _e( 'Upload a JSON file generated by this Plugin\'s export functionality.  This will overwrite any existing settings stored on this installation.', 'media-library-organizer' ); ?>
                    </p>
                </header>

                <div class="option">
                    <div class="left">
                        <strong><?php _e( 'JSON File', 'media-library-organizer' ); ?></strong>
                    </div>
                    <div class="right">
                        <input type="file" name="import" />
                        <br />
                        <input name="submit" type="submit" class="button button-primary" value="<?php _e( 'Import', 'media-library-organizer' ); ?>" />              
                    </div>
                </div>
            </div>
        </div>

        <?php
        // Iterate through import sources, outputting a view for each
        if ( count( $screen['data']['import_sources'] ) > 0 ) {
            foreach ( $screen['data']['import_sources'] as $import_source ) {
                ?>
                <div id="import-<?php echo $import_source['name']; ?>" class="panel">
                    <div class="postbox">
                        <header>
                            <h3><?php echo sprintf( __( 'Import from %s', 'media-library-organizer' ), $import_source['label'] ); ?></h3>
                            <p class="description">
                                <?php echo sprintf( __( 'Imports %s data found on this WordPress installation. This will overwrite any existing settings in this Plugin.', 'media-library-organizer' ), $import_source['label'] ); ?>
                            </p>
                        </header>

                        <?php
                        // Output any fields / options that this Import Source might have specified
                        do_action( 'media_library_organizer_import_view_' . $import_source['name'] );
                        ?>

                        <div class="option">
                            <input name="import_<?php echo $import_source['name']; ?>" type="submit" class="button button-primary" value="<?php _e( 'Import', 'media-library-organizer' ); ?>" />
                        </div>
                    </div>
                </div>
                <?php
            }
        }
        ?>

        <!-- Export -->
        <div id="export" class="panel">
            <div class="postbox">
                <header>
                    <h3><?php _e( 'Export', 'media-library-organizer' ); ?></h3>
                    <p class="description">
                        <?php _e( 'To export this Plugin\'s settings, click the Export button below.', 'media-library-organizer' ); ?>
                        <br ?>
                        <?php _e( 'You can then import the generated JSON file into another Plugin installation.', 'media-library-organizer' ); ?>
                    </p>
                </header>

                <div class="option">
                    <a href="admin.php?page=<?php echo $this->base->plugin->name; ?>-import-export&export=1" class="button button-primary" title="<?php _e( 'Export', 'media-library-organizer' ); ?>">
                        <?php _e( 'Export', 'media-library-organizer' ); ?>
                    </a>
                </div>
            </div>
        </div>
    </div>
</div>